Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Class BorderPaintingInfo

    java.lang.Object
      org.apache.fop.afp.BorderPaintingInfo

All Implemented Interfaces:
  PaintingInfo

    public class BorderPaintingInfo

extends java.lang.Object
implements PaintingInfo

Border painting information

Constructor Summary
`BorderPaintingInfo(float x1, float y1, float x2, float y2, boolean isHorizontal, int style, java.awt.Color color)` Main constructor

Method Summary
`java.awt.Color` | `getColor()` Returns the color
`int` | `getStyle()` Returns the style
`float` | `getX1()` Returns the x1 coordinate
`float` | `getX2()` Returns the x2 coordinate
`float` | `getY1()` Returns the y1 coordinate
`float` | `getY2()` Returns the y2 coordinate
`boolean` | `isHorizontal()` Returns true when this is a horizontal line

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderPaintingInfo

    public BorderPaintingInfo(float x1,
                              float y1,
                              float x2,
                              float y2,
                              boolean isHorizontal,
                              int style,
                              java.awt.Color color)

  Main constructor

  Parameters:
    `x1` - the x1 coordinate
    `y1` - the y1 coordinate
    `x2` - the x2 coordinate
    `y2` - the y2 coordinate
    `isHorizontal` - true when the border line is horizontal
    `style` - the border style
    `color` - the border color

Method Detail

### getX1

    public float getX1()

  Returns the x1 coordinate

  Returns:
    the x1 coordinate

### getY1

    public float getY1()

  Returns the y1 coordinate

  Returns:
    the y1 coordinate

### getX2

    public float getX2()

  Returns the x2 coordinate

  Returns:
    the x2 coordinate

### getY2

    public float getY2()

  Returns the y2 coordinate

  Returns:
    the y2 coordinate

### isHorizontal

    public boolean isHorizontal()

  Returns true when this is a horizontal line

  Returns:
    true when this is a horizontal line

### getStyle

    public int getStyle()

  Returns the style

  Returns:
    the style

### getColor

    public java.awt.Color getColor()

  Returns the color

  Returns:
    the color

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.